{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://www.rmv.de","description":"Generated server url"}],"paths":{"/api/inout-support":{"post":{"tags":["reclamation-controller"],"summary":"gets data for fraud, builds a xml and sends an email with the xml to the 'ELMA'-System","operationId":"sendReclamationMail","parameters":[{"name":"User-Agent","in":"header","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReclamationDto"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Unauthorized"},"500":{"description":"Mail send Error"}}}},"/api/inout-fraud":{"post":{"tags":["fraud-statement-controller"],"summary":"gets data for reclamation, builds a xml and sends an email with the xml to the 'ELMA'-System","operationId":"sendFraudStatementMail","parameters":[{"name":"User-Agent","in":"header","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FraudStatementDto"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Unauthorized"},"500":{"description":"Mail send Error"}}}}},"components":{"schemas":{"ReclamationDto":{"type":"object","properties":{"formOfAddress":{"type":"string","enum":["MR","MS"]},"firstName":{"type":"string","minLength":1},"lastName":{"type":"string"},"email":{"type":"string","pattern":"^[a-zA-Z0-9_!#$%&’*+/=?`{|}~^.-]+@[a-zA-Z0-9.-]+$"},"issue":{"type":"string","enum":["WRONG_STATION","WRONG_DIRECTION","WRONG_DESTINATION","OTHER"]},"htUserId":{"type":"string"},"originStop":{"type":"string"},"originTimestamp":{"type":"string","format":"date-time"},"destinationStop":{"type":"string"},"destinationTimestamp":{"type":"string","format":"date-time"},"journeyID":{"type":"string"},"message":{"type":"string"}},"required":["destinationStop","email","firstName","formOfAddress","htUserId","issue","journeyID","lastName","message","originStop"]},"FraudStatementDto":{"type":"object","properties":{"formOfAddress":{"type":"string","enum":["MR","MS"]},"firstName":{"type":"string","minLength":1},"lastName":{"type":"string"},"email":{"type":"string","pattern":"^[a-zA-Z0-9_!#$%&’*+/=?`{|}~^.-]+@[a-zA-Z0-9.-]+$"},"htUserId":{"type":"string"},"message":{"type":"string"}},"required":["email","firstName","formOfAddress","htUserId","lastName","message"]}}}}